# Uses of Class
org.lwjgl.util.WaveData

Packages that use WaveData
Package
Description
org.lwjgl.util

## Uses of WaveData in org.lwjgl.util

Methods in org.lwjgl.util that return WaveData
Modifier and Type
Method
Description
`static WaveData`
WaveData.`create(byte[] buffer)`
Creates a WaveData container from the specified bytes
`static WaveData`
WaveData.`create(InputStream is)`
Creates a WaveData container from the specified inputstream
`static WaveData`
WaveData.`create(String path)`
Creates a WaveData container from the specified in the classpath
`static WaveData`
WaveData.`create(URL path)`
Creates a WaveData container from the specified url
`static WaveData`
WaveData.`create(ByteBuffer buffer)`
Creates a WaveData container from the specified ByetBuffer.
`static WaveData`
WaveData.`create(AudioInputStream ais)`
Creates a WaveData container from the specified stream